-- English language file for Ved

L = {

OUTDATEDLOVE = "Your version of L{ve is outdated. Please use version 0.9.0 or higher. You can download the latest version of L{ve from http://love2d.org/.",
UNKNOWNSTATE = "Unknown state ($1), jumped to from state $2",
FATALERROR = "FATAL ERROR: ",
FATALEND = "Please close the game and try again. And if you're Dav, please fix it.",

OSNOTRECOGNIZED = "Your operating system ($1) is not recognized! Falling back on default filesystem functions; levels are stored in:\n\n$2",
MAXTRINKETS = "The maximum amount of trinkets (20) has been reached in this level.",
MAXTRINKETS_BYPASS = "The maximum amount of trinkets (20) has been reached in this level.\n\nAdding any more will cause glitches and/or inconsistencies when loading the level in VVVVVV, and it is recommended not to do so. Are you sure you want to bypass the limit?",
MAXCREWMATES = "The maximum amount of crewmates (20) has been reached in this level.",
MAXCREWMATES_BYPASS = "The maximum amount of crewmates (20) has been reached in this level.\n\nAdding any more will cause glitches and/or inconsistencies when loading the level in VVVVVV, and it is recommended not to do so. Are you sure you want to bypass the limit?",
EDITINGROOMTEXTNIL = "Existing room text we were editing is nil!",
STARTPOINTNOLONGERFOUND = "The old start point can no longer be found!",
UNSUPPORTEDTOOL = "Unsupported tool! Tool: ",
SURENEWLEVEL = "Are you sure you want to make a new level? You will lose any unsaved content.",
SURELOADLEVEL = "Are you sure you want to load a level? You will lose any unsaved content.",
COULDNOTGETCONTENTSLEVELFOLDER = "Could not get contents of levels folder. Please check if $1 exists and try again.",
MAPSAVEDAS = "Map image saved as $1!",
RAWENTITYPROPERTIES = "You can change the raw property values of this entity here.",
UNKNOWNENTITYTYPE = "Unknown entity type $1",

TILE = "Tile",
HIDEALL = "  Hide all  ",
SHOWALL = "  Show all  ",
SCRIPTEDITOR = "Script editor",
FILE = "File",
NEW = "New",
OPEN = "Open",
SAVE = "Save",
EDITTAB = "Edit",
COPYSCRIPT = "Copy script",
SEARCHSCRIPT = "Search",
GOTOLINE = "Go to line",
VIEW = "View",
SYNTAXHLOFF = "Syntax HL off",
SYNTAXHLON = "Syntax HL on",
TEXTSIZE = "Text size",
INSERT = "Insert",
HELP = "Help",

RETURN = "Return",
CREATE = "Create",
GOTO = "Go to",
DELETE = "Delete",
CHANGEDIRECTION = "Change direction",
DIRECTION = "Direction->",
UP = "up",
DOWN = "down",
LEFT = "left",
RIGHT = "right",
TESTFROMHERE = "Test from here",
FLIP = "Flip",
CYCLETYPE = "Change type",
GOTODESTINATION = "Go to destination",
GOTOENTRANCE = "Go to entrance",
CHANGECOLOR = "Change color",
EDITTEXT = "Edit text",
COPYTEXT = "Copy text",
EDITSCRIPT = "Edit script",
OTHERSCRIPT = "Change script name",
PROPERTIES = "Properties",
CHANGETOHOR = "Change to horizontal",
CHANGETOVER = "Change to vertical",
RESIZE = "Resize",
CHANGEENTRANCE = "Move entrance",
CHANGEEXIT = "Move exit",
BUG = "[Bug!]",

VEDOPTIONS = "Ved options",
LEVELOPTIONS = "Level options",
MAP = "Map",
SCRIPTS = "Scripts",
SEARCH = "Search",
SENDFEEDBACK = "Send Feedback",

BACKB = "Back <<",
MOREB = "More >>",
AUTOMODE = "Mode: auto",
MANUALMODE = "Mode: manual",
PLATFORMSPEED = "Platf. spd.: $1",
ENEMYTYPE = "Enemy type: $1",
PLATFORMBOUNDS = "Platf. bounds",
WARPDIR = "Warp dir: $1",
ENEMYBOUNDS = "Enemy bounds",
ROOMNAME = "Roomname",
ROOMOPTIONS = "Room options",

OPTNAME = "Name",
OPTBY = "By",
OPTWEBSITE = "Website",
OPTDESC = "Desc",
OPTSIZE = "Size",
OPTMUSIC = "Music",

SOLID = "Solid",
NOTSOLID = "Not solid",

TSCOLOR = "Color $1",

ONETRINKETS = "T:",
ONECREWMATES = "C:",
ONEENTITIES = "E:",

LEVELSLIST = "Levels",
LOADTHISLEVEL = "Load this level: ",
ENTERNAMESAVE = "Enter name to save as: ",
SEARCHFOR = "Search for: ",

VERSIONERROR = "Unable to check version.",
VERSIONUPTODATE = "Your version of Ved is up-to-date.",
VERSIONOLD = "Update available! Latest version: $1",
VERSIONCHECKING = "Checking for updates...",

SAVESUCCESS = "Saved successfully!",
SAVENOSUCCESS = "Saving not successful! Error: ",

EDIT = "Edit",
EDITWOBUMPING = "Edit w/o bumping",
COPYNAME = "Copy name",
COPYCONTENTS = "Copy contents",
DUPLICATE = "Duplicate",

NEWSCRIPTNAME = "Name:",
CREATENEWSCRIPT = "Create new script",

LINE = "line ",

SAVEMAP = "Save map",
SAVEFULLSIZEMAP = "Save fullsize map",
COPYROOMS = "Copy rooms",
SWAPROOMS = "Swap rooms",

CUSTOMVVVVVVDIRECTORY = "Custom VVVVVV directory",
LANGUAGE = "Language",
DIALOGANIMATIONS = "Dialog animations",
ALLOWLIMITBYPASS = "Allow bypassing of limits",
FLIPSUBTOOLSCROLL = "Flip subtool scrolling direction",
ADJACENTROOMLINES = "Indicators of tiles in adjacent rooms",
ASKBEFOREQUIT = "Ask before quitting",

FPS = "FPS",
STATE = "State",
MOUSE = "Mouse",

}

toolnames = {

"Wall",
"Background",
"Spike",
"Trinket",
"Checkpoint",
"Disappearing platform",
"Conveyor",
"Moving platform",
"Enemy",
"Gravity line",
"Roomtext",
"Terminal",
"Script box",
"Warp token",
"Warp line",
"Crewmate",
"Start point"

}

subtoolnames = {

[1] = {"1x1 brush", "3x3 brush", "5x5 brush", "7x7 brush", "9x9 brush", "Fill horizontally", "Fill vertically", "Fill entire room", "Potato for Doing Things that are Magical"},
[2] = {"1x1 brush", "3x3 brush", "5x5 brush", "7x7 brush", "9x9 brush", "Fill horizontally", "Fill vertically", "Fill entire room", "Potato for Doing Things that are Magical"},
--[3] = {"1 bottom", "3 bottom", "5 bottom", "7 bottom", "9 bottom", "Expand L+R", "Expand L", "Expand R"},
[3] = {"Auto 1", "Auto expand L+R", "Auto expand L", "Auto expand R"},
[4] = {},
[5] = {"Upright", "Flipped"},
[6] = {},
[7] = {"Small R", "Small L", "Large R", "Large L"},
[8] = {"Down", "Up", "Left", "Right"},
[9] = {"Down", "Up", "Left", "Right"},
[10] = {"Horizontal", "Vertical"},
[11] = {},
[12] = {},
[13] = {},
[14] = {"Entrance", "Exit"},
[15] = {},
[16] = {"Pink", "Yellow", "Red", "Green", "Blue", "Cyan"},
[17] = {"Face right", "Face left"},

}

warpdirs = {

[0] = "x",
[1] = "H",
[2] = "V",
[3] = "A"

}


LH = {

-- These are the help articles.
--[[ Flags after \:
h - double font size for headers (remember to keep an extra line blank for that)
0..9 - display image 0..9 on this line (array index in imgs starts at 0, and remember to keep lines blank to accommodate for the image height)
r - red text
g - gray text
w - white text
b - blue text
o - orange text

Flags can be combined, like \rh or \hr for a red header
Invalid flags will be ignored

1234567890123456789012

Room for 82 characters on a line (85, but the last three characters will have a scrollbar if it is needed. 
----------------------------------------------------------------------------------[]-
]]

{
subj = "Getting started",
imgs = {},
cont = [[
Getting started\wh

This article will help you get started with using Ved. To get started with using
the editor, you need to load a level, or create a new one.


The editor\h

On the left side, you will find the tools selection. Most tools have subtools that
will be listed to the right of it. For more information about the tools, refer to
the "Tools" help page.
On the right side of the screen, you will find buttons that do things. For more
information about those buttons, refer to (the respective help pages).

Levels folder\h

Ved will normally use the same folder for storing levels as VVVVVV does, so it is
easy to switch from VVVVVV's level editor to Ved and vice versa.
]]
},

{
subj = "Tools",
imgs = {},
cont = [[
Tools\wh

You need tools.
WIP\r
]]
},

{
subj = "Script editor",
imgs = {},
cont = [[
Script editor\wh

WIP too\r
]]
},

{
subj = "Simp.script reference",
imgs = {},
cont = [[
Simplified scripting reference\wh

VVVVVV's simplified scripting language is a basic language that can be used to
script VVVVVV levels.
Note: whenever something is between quotes, it needs to be typed without them.


say([lines[,color]] .. "]]" .. [[)\h

Display a text box. Without any arguments, this will make a text box with one
line, and by default this will result in a centered terminal text box. The color
argument can be a color, or the name of a crewmate.
If you use a color and a rescuable crewmate with that color is in the room, then
the text box will be displayed above that crewmate.

reply([lines])\h

Display a text box for Viridian. Without the lines argument, this will make a text
box with one line.

delay(n)\h

Delays further action by n ticks. 30 ticks is almost one second.

happy([crewmate])\h

Makes a crewmate happy. Without an argument, this will make Viridian happy. You
can also use "all", "everyone" or "everybody" as an argument to make everybody
happy.

sad([crewmate])\h

Makes a crewmate sad. Without an argument, this will make Viridian sad. You
can also use "all", "everyone" or "everybody" as an argument to make everybody
sad.

flag(flag,on/off)\h

Turn a given flag on or off. For example, flag(4,on) will turn flag number 4 on.
There are 100 flags, numbered from 0 to 99.
By default, all flags are off when you start playing a level.
Note: In Ved, you can also use flag names instead of the numbers.

ifflag(flag,scriptname)\h

If a given flag is ON, then go to script with name scriptname.
If a given flag is OFF, continue in the current script.
Example:
ifflag(20,cutscene) - If flag 20 is ON, go to script "cutscene", else continue in
                      the current script.
Note: In Ved, you can also use flag names instead of the numbers.

iftrinkets(number,scriptname)\h

If your amount of trinkets >= number, go to script with name scriptname.
If your amount of trinkets < number, continue in the current script.
Example:
iftrinkets(3,enoughtrinkets) - If you have 3 or more trinkets, the script
                               "enoughtrinkets" will be run, else the current
                               script will continue.
It is common practise to use 0 as a minimum amount of trinkets, as a way to load
a script in any case.

destroy(something)\h

Valid arguments can be:
warptokens - Remove all warp tokens from the room until you re-enter the room.
gravitylines - Remove all gravity lines from the room until you re-enter the room.
The option "platforms" also exists, but it doesn't work properly.

music(number)\h

Change the song to a certain song number.
(list)

map(on/off)\h

Turn the map on or off. If you turn the map off, it will display "NO SIGNAL" until
you turn it on again. <If I'm not mistaken> rooms will still be uncovered while
the map is off to be visible when the map is turned on.

squeak(crewmate/on/off)\h

Make a crewmate squeak, or turn the squeak sound when a text box is displayed on
or off.
]]
},

{
subj = "Int. script reference",
imgs = {},
cont = [[
Internal scripting reference\wh

The internal scripting provides more power to scripters, but is also a bit more
complex.

Commands in blue are not optimal for use in custom levels, because they only work\b
in the main game.\b
Commands in orange may corrupt your save data if you use them in specific ways.\o
Commands in red shouldn't be used at all because they WILL corrupt your save data.\r
Note: whenever something is between quotes, it needs to be typed without them.


moveplayer(x,y)\h

Move the player x pixels to the right and y pixels down. Of course you can also
use negative numbers to make Viridian go up or to the left.

delay(n)\h

Delays further action by n ticks. 30 ticks is almost one second.

flash(n)\h

Makes the screen white for n ticks. For a flash like the simple one in simplified
scripting, you can use the following combination:
flash(5)
playef(9,10)
shake(20)

shake(n)\h

Shake the screen for n ticks. This will not create a delay.

walk(left/right,x)\h

Makes Viridian walk

flip\h

Makes Viridian flip.

tofloor\h

Makes Viridian flip to the floor if he isn't already.

playef(effect,10)\h

Play a sound effect.

play(song)\h

Start playing a song with internal song number.

stopmusic()\h

Stop the music immediately. Equivalent to music(0) in simplified scripting.

resumemusic()\h

Opposite of stopmusic() (doesn't seem to work)

musicfadeout()\h

Fade out the music.

musicfadein()\h

Opposite of musicfadeout() (doesn't seem to work)

gotoposition(x,y,f)\h

Change Viridian's position to x,y in this room, and f is whether you're flipped or
not. (1 for flipped, 0 for not flipped)

gotoroom(x,y)\h

Change the current room to x,y, where x and y start at 0.

cutscene()\h

Make cutscene bars appear.

endcutscene()\h

Make cutscene bars disappear.

untilbars()\h

Wait until cutscene() or endcutscene() is completed.

text(color,x,y,lines)\h

Store a text box in memory with color, position and number of lines. Usually,
the position command is used after the text command (and its lines of text), which
will overwrite the coordinates given here, so these are usually left as 0.

position(center/centerx/centery/color,above/color,below)\h

Override the x,y of the text command and thus sets the position of a text box.

backgroundtext\h

If you put this command above speak or speak_active, the game will not wait until
you press action after creating the text box. This can be used to create multiple
text boxes at the same time.

flipme\h

Correct text box positions in flip mode (apparently buggy)

speak_active\h

Display a text box, and removes any old text box. Also pauses the script until you
press action (unless there's a backgroundtext command above it)

speak\h

Display a text box, without removing old text boxes. Also pauses the script until
you press action (unless there's a backgroundtext command above it)

endtext\h


endtextfast\h


do(n)\h

Start a loop block which will repeat n times

loop\h

End of the loop block

vvvvvvman()\h

You know what it does ;)

undovvvvvvman()\h

Back to normal

createentity(x,y,n,meta,meta)\oh


createcrewman(x,y,color,mood,direction)\h


changemood...\h


changetile...\h


flipgravity...\h


changegravity...\h


changedir...\h


alarmon\h

Turns the alarm on

alarmoff\h

Turns the alarm off

changeai...\h


activateteleporter()\h


changecolour...\h


squeak...\h


blackout\h


blackon\h


setcheckpoint...\h


gamestate...\h


textboxactive\h


gamemode...\h


ifexplored...\h


iflast...\h


ifskip...\h


ifflag...\h


ifcrewlost...\h


iftrinkets...\h


hidecoordinates...\h


showcoordinates...\h


hideship\h


showship\h


hidesecretlab\h


showsecretlab\h


hideteleporters()\h


showteleporters()\h


hidetargets()\h


showtargets()\h


hidetrinkets()\h


showtrinkets()\h


hideplayer()\h


showplayer()\h


teleportscript...\h


clearteleportscript()\h


nocontrol()\h


hascontrol()\h


companion...\h


befadein()\h


fadein()\h


fadeout()\h


untilfade()\h


entersecretlab()\h


leavesecretlab()\h


resetgame...\h


loadscript(name)\h


rollcredits()\rh


finalmode(x,y)\h


rescued(color)\h


missing(color)\h


face...\h


jukebox...\h


createactivityzone...\h


createrescuedcrew...\h


restoreplayercolour()\h


changeplayercolour...\h


altstates...\h


activeteleporter...\h


foundtrinket...\h


foundlab...\h


foundlab2...\h


everybodysad()\h


startintermission2...\h


telesave()\rh


createrescued...\h


specialline...\h


trinketbluecontrol...\h


trinketyellowcontrol...\h


redcontrol...\h


greencontrol...\h


bluecontrol...\h


yellowcontrol...\h


purplecontrol...\h


customifflag...\h


customiftrinkets...\h


customposition...\h


changecustommood...\h


]]
},

{
subj = "Lists reference",
imgs = {},
cont = [[
Lists reference\wh

These are lists of numbers that are used in VVVVVV, copied from forum posts.
That means I still have to edit parts of it to remove mojibake for instance.
Thanks to everyone who assembled these lists!


Music numbers (simplified scripting)\h

0 - Silence (no music)
1 - Pushing onwards
2 - Positive force
3 - Potential for anything
4 - Passion for exploring
5 - Presenting VVVVVV
6 - Predestined fate
7 - Popular potpurri
8 - Pipe dream
9 - Pressure cooker
10 - Paced energy
11 - Piercing the sky

Music numbers (internal)\h

0 - Path Complete
1 - Pushing Onwards
2 - Positive Force
3 - Potential For Anything
4 - Passion For Exploring
5 - Pause
6 - Presenting VVVVVV
7 - Plenary
8 - Predestined Fate
9 - ecroF evitisoP
10 - Popular Potpurri
11 - Pipe Dream
12 - Pressure Cooker
13 - Paced Energy
14 - Piercing The Sky
15 - Predestined Fate remixed

Sound effect numbers\h

0 - Flip to ceiling
1 - Flip back to floor
2 - Cry
3 - Trinket collected
4 - Coin collected
5 - Checkpoint touched
6 - Quicker quicksand block touched
7 - Normal quicksand block touched
8 - Gravity line touched
9 - Flash
10 - Warp
11 - Viridian squeak
12 - Verdigris squeak
13 - Victoria squeak
14 - Vitellary squeak
15 - Violet squeak
16 - Vermilion squeak
17 - Terminal touched
18 - Teleporter touched
19 - Alarm
20 - Terminal squeak
21 - Time trial countdown "3", "2", "1"
22 - Time trial countdown "Go!"
23 - VVVVVV Man breaking walls
24 - Crewmates (de)combining into VVVVVV Man
25 - New record in Super Gravitron
26 - New trophy in Super Gravitron
27 - Rescued crewmate (in custom levels)

Entities\h

0 - The player
1 - Enemy
    Metadata: movement type, movement speed
    Due to lacking needed data, you will only ever get a purple enemy box, unless
    you're in the VVVVVV polar dimension while doing the command
2 - Moving platform
    Metadata: movement type, movement speed
    Note that conveyors is implemented as moving platforms, see movement type 8
    and 9.
3 - A disappearing platform
4 - A 1x1 quicker quicksand block
5 - A flipped Viridian, you will flip gravity when touched
6 - Weird red flashy thingy that disappears quickly
7 - Same as above, but doesn't flash and is coloured cyan
8 - A coin from the prototype
    Metadata: Coin ID
9 - Trinket
    Metadata: Trinket ID
    Note that trinket ID start at 0, and everything above 19 will not be saved in
    the savefile once you restart the level
10 - Checkpoint
    Metadata: Checkpoint state (0=flipped, 1=normal), Checkpoint ID (checks if the
    checkpoint is active or not)
11 - Horisontal gravity line
    Metadata: Length in pixels
12 - Vertical gravity line
    Metadata: Length in pixels
13 - Warp token
    Metadata: Destination in tiles X axis, destination in tiles Y axis
14 - The round teleporter
    Metadata: Checkpoint ID(?)
15 - Verdigris
    Metadata: AI state
16 - Vitellary (flipped)
    Metadata: AI state
17 - Victoria
    Metadata: AI state
18 - Crewmate
    Metadata: Colour (using raw color list, not the crewmate colors), mood
19 - Vermilion
    Metadata: AI state
20 - Terminal
    Metadata: Sprite, Script ID(?)
21 - Same as above but when touched the terminal doesn't light up
    Metadata: Sprite, Script ID(?)
22 - Collected trinket
    Metadata: Trinket ID
23 - Gravitron square
    Metadata: Direction
    If you input negative X coordinate (or too high), an arrow shows instead, just
    like in the real Gravitron
24 - Intermission 1 crewmate
    Metadata: Raw color, mood
    Doesn't seem to be affected by hazards, but should be. I'll have to look into
    this one
25 - Trophy
    Metadata: Challenge identifier, sprite
    If the challenge is completed, the base sprite ID (what you get if you use
    sprite=0) will change. Only use 0 or 1 if you want predictable results
    (0=normal, 1=flipped)
26 - The warp token to the Secret Lab
    Keep in mind that the warp is just implemented as a nice looking sprite.
    You'll have to script the functionality for yourself
55 - Rescueable crewmate
    Metadata: Crewmate color. Color >6 will always show a *happy* Viridian
56 - Custom level enemy
    Metadata: Movement type, movement speed
    Keep in mind that if there's no enemies in the room, the enemy sprite data
    isn't updated correctly and it will just show what enemy you saw last time, or
    a square enemy
Undefined entities (27-50, 57+) give glitchy Viridians.

Colors for createentity() crewmates\h

0: Cyan
1: Flashy red (used for death)
2: Dark orange
3: Trinket color
4: Gray
5: Flashy white
6: Red (tiny bit darker than Vermilion)
7: Lime green (ala Viel)
8: Hot pink (ala Vaelyn)
9: Brilliant yellow
10: Flashy white
11: Bright cyan
12: Blue, same as Victoria
13: Green, same as Verdigris
14: Yellow, same as Vitellary
15: Red, same as Vermilion
16: Blue, same as Victoria
17: Lighter orange
18: Gray
19: Darker gray
20: Pink, same as Violet
21: Lighter gray
22: White
23: Flashy white
24-29: White
30: Gray
31: Dark, slightly purplish gray?
32: Dark cyan/green (ala Valso)
33: Dark blue
34: Dark green
35: Dark red
36: Dull orange
37: Flashy gray
38: Gray
39: Darker cyan/green
40: Flashier gray
41-99: White
100: Dark gray
101: Flashy white
102: Teleporter color
103 and onwards: White

Gamestates\h

0 - Break out from most gamestates
1 - Set gamestate to 0 (i.e. same as above in practice)
2 - "To do: write quick intro to story!"
4 - "Press arrow keys or WASD to move"
5 - Runs the script "returntohub" (i.e. fadeout, teleport to right before The
    Tower, fadein, play Passion for Exploring)
7 - Removes textboxes
8 - "Press enter to view map and quicksave"
9 - Super Gravitron
10 - Gravitron
11 - "When you're NOT standing on stop and wait for you" (Tries to access flipmode
    check to write "the ceiling" or "the floor", and check crewmate, but as this
    fails, the above prints instead)
12 - "You can't continue to the next room until he is safely accross."
13 - Removes textboxes quickly
14 - "When you're standing on the floor," (the same applies here as for 11)
15 - Makes Viridian happy
16 - Makes Viridian sad
17 - "If you prefer, you can press UP or DOWN instead of ACTION to flip."
20 - If flag 1 is 0, set flag 1 to 1 and remove textboxes
21 - If flag 2 is 0, set flag 2 to 1 and remove textboxes
22 - "Press ACTION to flip"
30 - "I wonder why the ship teleported me here alone?" "I hope everyone else got
    out okâ€¦"
31 - "Violet, is that you?" cutscene (as long as flag 6 is 0)
32 - If flag 7 is 0: "A teleporter!" "I can get back to the ship with this!"
33 - If flag 9 is 0: Victoria-cutscene
34 - If flag 10 is 0: Vitellary-cutscene
35 - If flag 11 is 0: Verdigris-cutscene
36 - If flag 8 is 0: Vermilion-cutscene
37 - Vitellary after gravitron
38 - Vermilion after gravitron
39 - Verdigris after gravitron
40 - Victoria after gravitron
41 - If flag 60 is 0: run the beginning of intermission 1 cutscene
42 - If flag 62 is 0: run the 3rd intermission 1 cutscene
43 - If flag 63 is 0: run the 4th intermission 1 cutscene
44 - If flag 64 is 0: run the 5th intermission 1 cutscene
45 - If flag 65 is 0: run the 6th intermission 1 cutscene
46 - If flag 66 is 0: run the 7th intermission 1 cutscene
47 - If flag 69 is 0: "Ohh! I wonder what that is?" trinket cutscene
48 - If flag 70 is 0: "This seems like a good place to store anything I find out
    thereâ€¦" (Victoria not found yet)
49 - If flag 71 is 0: Play Predestined Fate
50 - "Help! Can anyone hear this message?"
51 - "Verdigris? Are you out there? Are you ok?"
52 - "Please help us! We've crashed and need assistance!"
53 - "Hello? Anyone out there?"
54 - "This is Doctor Violet from the D.S.S. Souleye! Please respond!"
55 - "Pleaseâ€¦ Anyoneâ€¦"
56 - "Please be alright, everyoneâ€¦"
With gamestate 50-56, you can choose where to start, because everything will
    appear after each other (did anyone know that if you wait after "Help! Can
    anyone hear this message?", there will be more text?)
80 - If screen is black (and only if), continue to state 81 (My guess is that this
    is called when ESC is pressed, before the pause meny opens)
81 - Go back to the main menu
82 - Results of time trial (bugged)
83 - If screen is back, continue to state 84
84 - Results of time trial (I think 82 works better than 84)
85 - The Time Trial version of gamestate 200 (Flash, play Positive Force, turn on
    finalstretch mode)
States 90-95 are time trial related, but doesn't work properly in custom levels.
    The only real effects that happens in custom levels is a warp, and music
    change
90 - Space Station 1
91 - The Laboratory
92 - Warp Zone
93 - The Tower
94 - Space Station 2
95 - Final Level
96 - If the screen is black, continue to state 97
97 - Exit from Super Gravitron (teleport and play Pipe Dream)
100 - If flag 4 is 0: continue to state 101
101 - If you are flipped, flip back to floor, continue to state 102
The following states (102-112) tries to go to the current state + 1, like in 50-56
    (but doesn't loop around), but may glitch as half of the states (103, 105,
    107, 109, 111) doesn't exist.
102 - Verdigris: "Captain! I've been so worried!"
104 - "I'm glad you're ok!"
106 - "I've been trying to find a way out, but I keep going around in circlesâ€¦"
108 - "Don't worry! I have a teleporter key!"
110 - "Follow me!"
112 - Removes textboxes
115 - Essentially nothing, continue to state 116
116 - Red dialog at the bottom of the screen saying "Sorry Eurogamers! Teleporting
    around the map doesn't work in this version!", continue to state 117, which
    doesn't exist, so things may fail
118 - Removes textboxes
State 120-128 works a bit like 102-112, i.e. in a series, but with less broken
    things
120 - If flag 5 is 0: continue to state 121
121 - If you're on the floor, flip.
122 - Vitellary: "Captain! You're ok!"
124 - Vitellary: "I've found a teleporter, but I can't get it to go anywhereâ€¦"
126 - "I can help with that!"
128 - "I have the teleporter codex for our ship!"
130 - "Yey! Let's go home!" (never heard of this cutscene before? Probably things
    Terry played with before coming up with the current story/etc /fiq)
132 - Removes textboxes
200 - Final mode
1000 - Turns on cutscenebars, freezes the game, continue to state 1001
1001 - You got a shiny trinket! dialog (but you didn't actually get any, this is
    just called each time you get one), continue to state 1003
1003 - Revert game to normal
1010 - You found a crewmate! in the same manner as for trinkets
2000 - Save the game
2500-2509 - Perform a teleport to some weird non-existent location, supposedly to
    The Laboratory I guess, continue to state 2510
2510 - Viridian: "Hello?", continue to state 2512
2512 - Viridian: "Is anybody there?", continue to state 2514
2514 - Removes textboxes, play Potential For Anything
3000-3099 states:
3000-3005 - Level Complete! You've rescued the crewmate applied to companion(),
    defaults to Verdigris. 6=Verdigris, 7=Vitellary, 8=Victoria, 9=vermillion,
    10=viridian (yes, really), 11=Violet (Gamestates: 3006-3011=Verdigris,
    3020-3026=Vitellary, 3040-3046=Victoria, 3060-3066=Vermillion,
    3080-3086=Viridian, 3050-3056=Violet)
3070-3072 - Perform postrescue things, usually return to ship
4010 - Flash + warp
4070 - The Final Level, but the game will crash when you reach timeslip! (Because
    of how the game gets entity information, which is broken in custom levels)
4080 - Captain teleported back to the ship: "Hello!" [C[C[C[C[Captain!] cutscene +
    credits
    !!!The above will mess up your save data so don't do it unless you backed up!!!
4090 - Cutscene after you complete space station 1
]]
},
----------------------------------------------------------------------------------[]-
{
subj = "Testing",
imgs = {},
cont = [[
Getting started\wh

Lorum ipsum dolor sit amet. The quick brown fox jumps over the lazy dog a lot of -XX-
times, and that is something that should be carefully considered.

More info\h

Lorum ipsum dolor sit amet. The quick brown fox jumps over the lazy dog a lot of
times.

Even more info\h

Lorum ipsum dolor sit amet. The quick brown fox jumps over the lazy dog a lot.




Get started with this article.

This should be double font size\h


And we should leave an extra line blank for that.

Another section\h

Section could start here.

Ay more

Ok time to start experimenting with colors.

This line should be red.\r
This line should be gray.\g
Now it gets interesting\rh

Should have same result\hr
]]
},

}